Subject: bug#49803: 27.2; Mouse wheel on MacOS is reported as mouse-4 and mouse-5, but Emacs mwheel seems to use wheel-up/wheel-down instead

From: Robert Pluim <[email-masked]>
Date: Thu, 12 Aug 2021 11:54:47 +0200

>>>>> On Thu, 12 Aug 2021 11:11:30 +0300, Eli Zaretskii <[email-masked]> said:
    >> With the caveat that weʼre not moving anything from mwheel, but rather
    >> adapting xt-mouse to mwheel's expectations, yes. I think thatʼs a
    >> better idea than adapting mwheel to have frame-specific values for
    >> mouse-wheel-{up,down}-event.

    Eli> I think you are right, assuming that xt-mouse is the only way macOS
    Eli> terminals can support a mouse.

I donʼt know if itʼs the only way, but certainly the standard
Terminal.app and the quite popular iterm2 both work with
xt-mouse. Didier, would you know?

Robert
--